﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WoodFoxWeiQi.UI
{
	public class WeiQiController
	{
		WeiQiView _view;
		WeiQiModel _model;

		public WeiQiController(WeiQiModel model)
		{
			_model = model;
			_view = new WeiQiView(this, model);
			_view.CreateView();			

			Application.Current.RootVisual = _view;

			model.Init();
		}

		// 在棋盘上某个位置点击
		public void ClickOnBoard(Position pos)
		{
			if (_model.GameStatus != GameStatus.Started)
				return;

			_model.SetStone(pos);
		}

		// 处理命令
		public void DealCommand(string command)
		{
			if (command == "Start")
			{
				_model.GameStatus = GameStatus.Started;
			}
		}
	}
}
